%define version 20040309
Name:				dnstop
Summary:			This displays various tables of DNS traffic on your network.
Version:			%{version}
Release:			1
Copyright:			BSD
Packager:			William Stearns <wstearns@pobox.com>
Group:				Applications/Internet
Source:				http://dnstop.measurement-factory.com/tools/dnstop/src/dnstop-%{version}.tar.gz
#Prereq:				/sbin/chkconfig logrotate
Vendor:				Duane Wessels http://dnstop.measurement-factory.com/
URL:				http://dnstop.measurement-factory.com/
BuildRoot:			/tmp/dnstop-broot


%description
dnstop is a libpcap application (ala tcpdump) that displays various
tables of DNS traffic on your network, including tables of source and
destination IP addresses, query types, top level domains and second
level domains. 


%changelog
* Sun Nov 14 2004 William Stearns <wstearns@pobox.com>
- Updated source to 20040309

* Thu May 15 2003 William Stearns <wstearns@pobox.com>
- Updated source to 20030228

* Fri Jan 24 2003 William Stearns <wstearns@pobox.com>
- Second RPM from 20030124 sources, addition of man page in that tar.
- First rpm from 20021224 sources, build on rh73


%prep
#%setup -c
%setup

%build
make all


%install
if [ "$RPM_BUILD_ROOT" = "/tmp/dnstop-broot" ]; then
	rm -rf $RPM_BUILD_ROOT

	install -d $RPM_BUILD_ROOT/usr/sbin
	#install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
	#install -d $RPM_BUILD_ROOT/sbin
	install -d $RPM_BUILD_ROOT/usr/share/man/man8
	#make BINDIR=$RPM_BUILD_ROOT/sbin CONFIG_FILE=$RPM_BUILD_ROOT/etc/goober.conf install
	cp -p dnstop $RPM_BUILD_ROOT/usr/sbin/
	cp -p dnstop.8 $RPM_BUILD_ROOT/usr/share/man/man8
	#cp -p $RPM_SOURCE_DIR/goober.init $RPM_BUILD_ROOT/etc/rc.d/init.d/goober
else
	echo Invalid Build root \'"$RPM_BUILD_ROOT"\'
	exit 1
fi

						
%clean
if [ "$RPM_BUILD_ROOT" = "/tmp/dnstop-broot" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root \'"$RPM_BUILD_ROOT"\'
	exit 1
fi


%files
%defattr(-,root,root)
#%attr(644,root,root)		%config	/etc/goober.conf
#%attr(755,root,root)			/etc/rc.d/init.d/goober
%attr(755,root,root)			/usr/sbin/dnstop
%attr(644,root,root)			/usr/share/man/man8/dnstop.8.gz
				%doc	LICENSE
#				%doc	faq/* README ChangeLog QUICKSTART doc/*
#				%doc	contrib/url-normalizer.pl contrib/rredir.* contrib/user-agents.pl
#%attr(750,nobody,nobody)	%dir	/var/log/goober
#%attr(750,nobody,nobody)	%dir	/var/spool/goober


